// widgets/category_circle.dart
// Widget for a circular category view
// Widget für eine runde Kategorie-Ansicht
import 'package:flutter/material.dart';

/// A widget that displays a category as a circle with an icon and a title below.
/// Widget, das eine Kategorie als Kreis mit Icon und Titel darunter darstellt.
class CategoryCircle extends StatelessWidget {
  /// The title of the category.
  final String title;
  /// The icon representing the category.
  final IconData icon;

  /// Creates a CategoryCircle widget.
  const CategoryCircle({super.key, required this.title, required this.icon});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(right: 16.0),
      child: Column(
        children: [
          // Circle with icon
          // Kreis mit Icon
          Container(
            width: 70,
            height: 70,
            decoration: BoxDecoration(
              color: Theme.of(context).colorScheme.primary.withOpacity(0.1),
              shape: BoxShape.circle,
            ),
            child: Icon(
              icon,
              color: Theme.of(context).colorScheme.primary,
              size: 35,
            ),
          ),
          const SizedBox(height: 8),
          // Title below the circle
          // Titel unter dem Kreis
          Text(
            title,
            style: const TextStyle(fontSize: 14, fontWeight: FontWeight.bold),
          ),
        ],
      ),
    );
  }
} 